diff -u eperl-2.2.14/debian/changelog eperl-2.2.14/debian/changelog
--- eperl-2.2.14/debian/changelog
+++ eperl-2.2.14/debian/changelog
@@ -1,3 +1,12 @@
+eperl (2.2.14-15.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Fix FTBFS with perl5.10 (closes: #463083)
+  * Stop ignoring errors in clean target
+  * Update Standards-Version (no changes)
+
+ -- Stephen Gran <sgran@debian.org>  Sun, 06 Apr 2008 00:37:02 +0100
+
 eperl (2.2.14-15) unstable; urgency=low
 
   * Remove me from Maintainers.
diff -u eperl-2.2.14/debian/copyright eperl-2.2.14/debian/copyright
--- eperl-2.2.14/debian/copyright
+++ eperl-2.2.14/debian/copyright
@@ -1,5 +1,5 @@
 This is Debian GNU/Linux's prepackaged version of
-(c) 1996,1997,1998,1999 Ralf S. Engelschall <rse@engelschall.com>
+© 1996,1997,1998,1999 Ralf S. Engelschall <rse@engelschall.com>
 
 This package was originally put together by Heiko Schlittermann
 <heiko@lotte.sax.de> and has been updated from the sources obtained from
diff -u eperl-2.2.14/debian/rules eperl-2.2.14/debian/rules
--- eperl-2.2.14/debian/rules
+++ eperl-2.2.14/debian/rules
@@ -31,7 +31,9 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	-$(MAKE) distclean
+ifeq (Makefile,$(wildcard Makefile))
+	$(MAKE) distclean
+endif
 	rm -f Makefile.stand-alone
 	dh_clean
 
diff -u eperl-2.2.14/debian/control eperl-2.2.14/debian/control
--- eperl-2.2.14/debian/control
+++ eperl-2.2.14/debian/control
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Felipe Augusto van de Wiel (faw) <faw@debian.org>
 Build-Depends: debhelper (>= 4), libperl-dev, perl (>= 5.8.1)
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: eperl
 Architecture: any
diff -u eperl-2.2.14/configure.in eperl-2.2.14/configure.in
--- eperl-2.2.14/configure.in
+++ eperl-2.2.14/configure.in
@@ -159,7 +159,7 @@
     define )
         rc=yes
         AC_DEFINE(HAVE_PERL_DYNALOADER)
-        perl_dla=$perl_archlib/auto/DynaLoader/DynaLoader.a
+        perl_dla=`perl -MExtUtils::Embed -e ldopts`
         ;;
     * )
         rc=no
diff -u eperl-2.2.14/config_ac.h.in eperl-2.2.14/config_ac.h.in
--- eperl-2.2.14/config_ac.h.in
+++ eperl-2.2.14/config_ac.h.in
@@ -1,4 +1,4 @@
-/* config_ac.h.in.  Generated automatically from configure.in by autoheader.  */
+/* config_ac.h.in.  Generated from configure.in by autoheader.  */
 #ifndef CONFIG_AC_H
 #define CONFIG_AC_H
 /*
@@ -7,12 +7,6 @@
 */
 
 
-/* Define to empty if the keyword does not work.  */
-#undef const
-
-/* Define if you have the ANSI C header files.  */
-#undef STDC_HEADERS
-
 /*  defined if Perl support the DynLoader
     interface for dynamic library loading */
 #undef HAVE_PERL_DYNALOADER
@@ -28,62 +22,99 @@
 
-/* Define if you have the memmove function.  */
-#undef HAVE_MEMMOVE
 
-/* Define if you have the setegid function.  */
-#undef HAVE_SETEGID
+/* Define to 1 if you have the <ctype.h> header file. */
+#undef HAVE_CTYPE_H
 
-/* Define if you have the seteuid function.  */
-#undef HAVE_SETEUID
+/* Define to 1 if you have the <grp.h> header file. */
+#undef HAVE_GRP_H
 
-/* Define if you have the strdup function.  */
-#undef HAVE_STRDUP
+/* Define to 1 if you have the <inttypes.h> header file. */
+#undef HAVE_INTTYPES_H
 
-/* Define if you have the <ctype.h> header file.  */
-#undef HAVE_CTYPE_H
+/* Define to 1 if you have the `memmove' function. */
+#undef HAVE_MEMMOVE
 
-/* Define if you have the <grp.h> header file.  */
-#undef HAVE_GRP_H
+/* Define to 1 if you have the <memory.h> header file. */
+#undef HAVE_MEMORY_H
 
-/* Define if you have the <netdb.h> header file.  */
+/* Define to 1 if you have the <netdb.h> header file. */
 #undef HAVE_NETDB_H
 
-/* Define if you have the <netinet/in.h> header file.  */
+/* Define to 1 if you have the <netinet/in.h> header file. */
 #undef HAVE_NETINET_IN_H
 
-/* Define if you have the <pwd.h> header file.  */
+/* Define to 1 if you have the <pwd.h> header file. */
 #undef HAVE_PWD_H
 
-/* Define if you have the <signal.h> header file.  */
+/* Define to 1 if you have the `setegid' function. */
+#undef HAVE_SETEGID
+
+/* Define to 1 if you have the `seteuid' function. */
+#undef HAVE_SETEUID
+
+/* Define to 1 if you have the <signal.h> header file. */
 #undef HAVE_SIGNAL_H
 
-/* Define if you have the <stdarg.h> header file.  */
+/* Define to 1 if you have the <stdarg.h> header file. */
 #undef HAVE_STDARG_H
 
-/* Define if you have the <stdio.h> header file.  */
+/* Define to 1 if you have the <stdint.h> header file. */
+#undef HAVE_STDINT_H
+
+/* Define to 1 if you have the <stdio.h> header file. */
 #undef HAVE_STDIO_H
 
-/* Define if you have the <stdlib.h> header file.  */
+/* Define to 1 if you have the <stdlib.h> header file. */
 #undef HAVE_STDLIB_H
 
-/* Define if you have the <string.h> header file.  */
+/* Define to 1 if you have the `strdup' function. */
+#undef HAVE_STRDUP
+
+/* Define to 1 if you have the <strings.h> header file. */
+#undef HAVE_STRINGS_H
+
+/* Define to 1 if you have the <string.h> header file. */
 #undef HAVE_STRING_H
 
-/* Define if you have the <sys/param.h> header file.  */
+/* Define to 1 if you have the <sys/param.h> header file. */
 #undef HAVE_SYS_PARAM_H
 
-/* Define if you have the <sys/socket.h> header file.  */
+/* Define to 1 if you have the <sys/socket.h> header file. */
 #undef HAVE_SYS_SOCKET_H
 
-/* Define if you have the <sys/stat.h> header file.  */
+/* Define to 1 if you have the <sys/stat.h> header file. */
 #undef HAVE_SYS_STAT_H
 
-/* Define if you have the <sys/types.h> header file.  */
+/* Define to 1 if you have the <sys/types.h> header file. */
 #undef HAVE_SYS_TYPES_H
 
-/* Define if you have the <time.h> header file.  */
+/* Define to 1 if you have the <time.h> header file. */
 #undef HAVE_TIME_H
 
-/* Define if you have the <unistd.h> header file.  */
+/* Define to 1 if you have the <unistd.h> header file. */
 #undef HAVE_UNISTD_H
 
+/* Define to the address where bug reports for this package should be sent. */
+#undef PACKAGE_BUGREPORT
+
+/* Define to the full name of this package. */
+#undef PACKAGE_NAME
+
+/* Define to the full name and version of this package. */
+#undef PACKAGE_STRING
+
+/* Define to the one symbol short name of this package. */
+#undef PACKAGE_TARNAME
+
+/* Define to the version of this package. */
+#undef PACKAGE_VERSION
+
+/* Define to 1 if you have the ANSI C header files. */
+#undef STDC_HEADERS
+
+/* Define to `char' if <sys/types.h> does not define. */
+#undef bool
+
+/* Define to empty if `const' does not conform to ANSI C. */
+#undef const
+
 #endif /* CONFIG_AC_H */
